Fixed dask_it function

4 jobs for update2 in 2 minutes and 45 seconds (queued for 6 seconds)
Status Job ID Name Coverage
  Build
failed #193235
docker
build_linux_36

00:01:07

failed #193236
docker
build_linux_37

00:01:06

failed #193233
macosx
build_macosx_36

00:02:44

failed #193234
macosx
build_macosx_37

00:02:42

 
Name Stage Failure
failed
build_macosx_36 Build
    d.update(python_vars(m, prefix, escape_backslash))
File "/Users/gitlab/builds/f6f95b82/0/bob/bob.pipelines/miniconda/lib/python3.7/site-packages/conda_build/environ.py", line 326, in python_vars
deps = [str(ms.name) for ms in metadata.ms_depends(build_or_host)]
File "/Users/gitlab/builds/f6f95b82/0/bob/bob.pipelines/miniconda/lib/python3.7/site-packages/conda_build/metadata.py", line 1195, in ms_depends
"not supported in conda-build meta.yaml. Error message: " + str(e))
RuntimeError: Received dictionary as spec. Note that pip requirements are not supported in conda-build meta.yaml. Error message: Invalid version '-': empty version component
Running after_script
Uploading artifacts for failed job
ERROR: Job failed: exit status 1
failed
build_macosx_37 Build
    d.update(python_vars(m, prefix, escape_backslash))
File "/Users/gitlab/builds/f6f95b82/1/bob/bob.pipelines/miniconda/lib/python3.7/site-packages/conda_build/environ.py", line 326, in python_vars
deps = [str(ms.name) for ms in metadata.ms_depends(build_or_host)]
File "/Users/gitlab/builds/f6f95b82/1/bob/bob.pipelines/miniconda/lib/python3.7/site-packages/conda_build/metadata.py", line 1195, in ms_depends
"not supported in conda-build meta.yaml. Error message: " + str(e))
RuntimeError: Received dictionary as spec. Note that pip requirements are not supported in conda-build meta.yaml. Error message: Invalid version '-': empty version component
Running after_script
Uploading artifacts for failed job
ERROR: Job failed: exit status 1
failed
build_linux_36 Build
    d.update(python_vars(m, prefix, escape_backslash))
File "/scratch/builds/bob/bob.pipelines/miniconda/lib/python3.7/site-packages/conda_build/environ.py", line 326, in python_vars
deps = [str(ms.name) for ms in metadata.ms_depends(build_or_host)]
File "/scratch/builds/bob/bob.pipelines/miniconda/lib/python3.7/site-packages/conda_build/metadata.py", line 1195, in ms_depends
"not supported in conda-build meta.yaml. Error message: " + str(e))
RuntimeError: Received dictionary as spec. Note that pip requirements are not supported in conda-build meta.yaml. Error message: Invalid version '-': empty version component
Running after_script
Uploading artifacts for failed job
ERROR: Job failed: exit code 1
failed
build_linux_37 Build
    d.update(python_vars(m, prefix, escape_backslash))
File "/scratch/builds/bob/bob.pipelines/miniconda/lib/python3.7/site-packages/conda_build/environ.py", line 326, in python_vars
deps = [str(ms.name) for ms in metadata.ms_depends(build_or_host)]
File "/scratch/builds/bob/bob.pipelines/miniconda/lib/python3.7/site-packages/conda_build/metadata.py", line 1195, in ms_depends
"not supported in conda-build meta.yaml. Error message: " + str(e))
RuntimeError: Received dictionary as spec. Note that pip requirements are not supported in conda-build meta.yaml. Error message: Invalid version '-': empty version component
Running after_script
Uploading artifacts for failed job
ERROR: Job failed: exit code 1